List timeslots
curl --request GET \
--url https://b.anny.co/api/v1/timeslots \
--header 'Authorization: Bearer <token>'import requests
url = "https://b.anny.co/api/v1/timeslots"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://b.anny.co/api/v1/timeslots', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "<string>",
"type": "timeslots",
"attributes": {
"title": "<string>",
"title_i18n": {},
"description": "<string>",
"description_i18n": {},
"start_date": "2023-11-07T05:31:56Z",
"end_date": "2023-11-07T05:31:56Z",
"timezone": "<string>",
"quota": 123,
"resource_info": [
{
"id": 123,
"name": "<string>",
"slug": "<string>",
"category_icon": "<string>",
"category_name": "<string>",
"category_slug": "<string>",
"cover_image_url": "<string>"
}
],
"created_at": "2023-11-07T05:31:56Z",
"canceled_at": "2023-11-07T05:31:56Z",
"min_bookings_count": 123,
"cancellation_offset_type": "<string>",
"cancellation_offset_value": 123,
"dynamic_capacity": true,
"base_quota": 123,
"max_dynamic_quota": 123
},
"links": {
"self": "<string>"
},
"relationships": {
"resource": {
"data": {
"type": "<string>",
"id": "<string>"
},
"links": {
"self": "<string>"
}
},
"service": {
"data": {
"type": "<string>",
"id": "<string>"
},
"links": {
"self": "<string>"
}
},
"series": {
"data": [
{
"type": "<string>",
"id": "<string>"
}
],
"links": {
"self": "<string>"
}
},
"cover_image": {
"data": {
"type": "<string>",
"id": "<string>"
},
"links": {
"self": "<string>"
}
},
"resource_allocations": {
"data": [
{
"type": "<string>",
"id": "<string>"
}
],
"links": {
"self": "<string>"
}
},
"model_syncs": {
"data": [
{
"type": "<string>",
"id": "<string>"
}
],
"links": {
"self": "<string>"
}
}
},
"meta": {
"provisioned_quota": 123,
"active_booking_count": 123,
"pending_booking_count": 123,
"total_booking_count": 123,
"available_provisioned_slots": 123,
"pending_capacity": 123,
"protected": [
"<string>"
]
}
}
],
"meta": {},
"links": {}
}Availability Settings
List timeslots
GET
/
api
/
v1
/
timeslots
List timeslots
Autorisierungen
The access token received from the authorization server in the OAuth 2.0 flow.
Abfrageparameter
Comma-separated. Allowed: resource, resource.parent, service, series, cover_image, resource_allocations, resource_allocations.resource, resource_allocations.resource.category, resource_allocations.resource.cover_image, model_syncs
Allowed: period, start_date, end_date, created_at
Return slots ending after this ISO 8601 timestamp.
Return slots starting before this ISO 8601 timestamp.
Boolean. Restrict to future timeslots.
Boolean. Restrict to past timeslots.
Resource ID list filter.
Alias for filter[resources] used by the admin calendar.
Resource group filter.
Boolean. Restrict to dynamic-capacity slots.
Organization ID
⌘I